Bug 238299 - FC7 Live - Wireless does not work on Dell Inspiron 6400
FC7 Live - Wireless does not work on Dell Inspiron 6400
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-28 22:23 EDT by Trevor Campbell
Modified: 2008-05-06 21:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:36:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trevor Campbell 2007-04-28 22:23:43 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
insert FC7 Live CD and boot computer
  
Actual results:
The wireless device is not activated.

Expected results:
The wireless device is activated and can be configured

Additional info:
The driver iwlwifi is loaded and seems OK but i was unable to get the wireless
device to activate.  The little green light just stays off.
Comment 1 Trevor Campbell 2007-04-28 22:58:59 EDT
I should have added this is FC7 Test 4
Comment 2 Trevor Campbell 2007-06-08 23:57:06 EDT
I use my laptop at 2 locations.  One has a Netgear access point that works well,
but I cannot connect at the other location that has a belkin access point.

After reloading the driver with debug turned on as
# modprobe iwl3945 debug=0x43fff
Try to bring up the network:
# ifup wlan0
I get in dmesg

iwl3945: REPLY_ADD_STA failed
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:11:50:60:c9:0f
wlan0: RX authentication from 00:11:50:60:c9:0f (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:11:50:60:c9:0f
wlan0: invalid aid value 0; bits 15:14 not set
wlan0: RX AssocResp from 00:11:50:60:c9:0f (capab=0x11 status=12 aid=0)
wlan0: AP denied association (code=12)
wlan0: associate with AP 00:11:50:60:c9:0f
wlan0: invalid aid value 0; bits 15:14 not set
wlan0: RX AssocResp from 00:11:50:60:c9:0f (capab=0x11 status=12 aid=0)
wlan0: AP denied association (code=12)
wlan0: associate with AP 00:11:50:60:c9:0f
wlan0: invalid aid value 0; bits 15:14 not set
wlan0: RX AssocResp from 00:11:50:60:c9:0f (capab=0x11 status=12 aid=0)
wlan0: AP denied association (code=12)
wlan0: association with AP 00:11:50:60:c9:0f timed out

Both access points are configured the same as Wep 64 and with the same key and
channel etc.

Belkin access point/router is "DSL/Cable gateway router" model F5D7230-4
Comment 3 Trevor Campbell 2007-06-09 00:04:09 EDT
Sorry again.  Forgot to mention I have upgraded to Fedora 7.
Comment 4 Bug Zapper 2008-04-03 20:21:14 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-05-06 21:36:13 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.